%define upstream_name File-ConfigDir
%define upstream_version 0.021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Get directories of configuration files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Test::Without::Module)
BuildArch:  noarch

%description
Get directories of configuration files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.21.0-3.mga8
+ Revision: 1504470
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.21.0-2.mga7
+ Revision: 1283660
- Mageia 7 Mass Rebuild

* Wed May 02 2018 tv <tv> 0.21.0-1.mga7
+ Revision: 1224698
- update to 0.021

* Tue May 01 2018 tv <tv> 0.20.0-1.mga7
+ Revision: 1224189
- update to 0.020

* Fri Jul 21 2017 sander85 <sander85> 0.18.0-1.mga7
+ Revision: 1126108
- update to 0.018

* Sun Jun 19 2016 pterjan <pterjan> 0.17.0-3.mga6
+ Revision: 1027288
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.17.0-2.mga6
+ Revision: 966547
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.17.0-1.mga6
+ Revision: 845903
- update to 0.017

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-3.mga5
+ Revision: 749706
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13.0-2.mga5
+ Revision: 684711
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.13.0-1.mga5
+ Revision: 619552
- update to 0.013

* Tue Mar 25 2014 jquelin <jquelin> 0.12.0-1.mga5
+ Revision: 608340
- update to 0.012

* Thu Feb 06 2014 sander85 <sander85> 0.11.0-1.mga5
+ Revision: 584567
- update to 0.011

* Mon Oct 21 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 538045
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 488387
- imported package perl-File-ConfigDir

